<script>
	export let text
	export let subscript

	export let backgroundColor = 'black'
	export let color = 'white'

	export let selected
	export let selectable = selected !== undefined
</script>
<style>
	span{
		display: inline-block;
		padding: 0.6em;
		border-radius: 0.6em;
		margin: 0.2em;
		font-size: 0.8em;

		background-color: var(--backgroundColor);
		color: var(--color);
	}
	.selectable{
		border: 1px solid var(--backgroundColor);
		cursor: pointer;
	}
	.outline{
		border: 1px solid var(--color);
	}
</style>
<span
	class:selectable
	class:outline={selected}
	style="
		--backgroundColor: {backgroundColor};
		--color: {color}
	"
	on:click
>
	{text} {#if subscript}<small>[{subscript}]</small>{/if}
</span>
